Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class DocxBorderInfo

    java.lang.Object
      net.sf.jasperreports.engine.export.ooxml.DocxBorderInfo

    public class DocxBorderInfo

extends java.lang.Object

Version:
  $Id: BorderHelper.java 3135 2009-10-22 14:20:23Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected static java.lang.String[]` | `BORDER`
`protected java.awt.Color[]` | `borderColor`
`protected java.lang.String[]` | `borderPadding`
`protected java.lang.String[]` | `borderStyle`
`protected java.lang.String[]` | `borderWidth`
`protected static int` | `BOTTOM_BORDER`
`protected static int` | `LEFT_BORDER`
`protected static int` | `RIGHT_BORDER`
`protected static int` | `TOP_BORDER`

Constructor Summary
`DocxBorderInfo(JRLineBox box)`
`DocxBorderInfo(JRPen pen)`

Method Summary
`protected boolean` | `hasBorder()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BORDER

    protected static final java.lang.String[] BORDER

### TOP_BORDER

    protected static final int TOP_BORDER

See Also:
  Constant Field Values

### LEFT_BORDER

    protected static final int LEFT_BORDER

See Also:
  Constant Field Values

### BOTTOM_BORDER

    protected static final int BOTTOM_BORDER

See Also:
  Constant Field Values

### RIGHT_BORDER

    protected static final int RIGHT_BORDER

See Also:
  Constant Field Values

### borderColor

    protected java.awt.Color[] borderColor

### borderWidth

    protected java.lang.String[] borderWidth

### borderStyle

    protected java.lang.String[] borderStyle

### borderPadding

    protected java.lang.String[] borderPadding

Constructor Detail

### DocxBorderInfo

    public DocxBorderInfo(JRLineBox box)

### DocxBorderInfo

    public DocxBorderInfo(JRPen pen)

Method Detail

### hasBorder

    protected boolean hasBorder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com